{
  "version":"0.1",
  "root_folder":"%filefolder%",
  "run_context":"sub",
  "name":"Blastproof build",
  "actions":[
    {
      "action":"ensure_folder_reset",
      "args":{
        "path_variables":true,
        "path":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$"
      }
    },
    {
      "action":"copy_folder",
      "args":{
        "source_folder_variables":true,
        "source_folder":"%rootcallerfolder%/Blastproof",
        "destination_folder_variables":true,
        "destination_folder":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$"
      }
    },
    {
      "action":"run_submodule",
      "args":{
        "file_variables":true,
        "file":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/common_crypto/common_crypto.json",
        "wait":true,
        "block_if_fail":true
      }
    },
    {
      "action":"run_submodule_parallel",
      "args":{
        "submodules_variables":true,
        "submodules":[
          "%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/bootanim/bootanim.json",
          "%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/fontgen/fontgen.json",
          "%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/initfsgen/initfsgen.json",
          "%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/config/config.json",
          "%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/keygen/keygen.json"
        ]
      }
    },
    {
      "action":"run_submodule",
      "args":{
        "file_variables":true,
        "file":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/keygen/keygen-run.json",
        "wait":true,
        "block_if_fail":true
      }
    },
    {
      "action":"run_command_wait_dir",
      "args":{
        "command_variables":true,
        "command":[
          "bash",
          "-c",
          ". edksetup.sh; build --platform=Blastproof/blastproof.dsc --module=Blastproof/src/main.inf --arch=X64 --buildtarget=RELEASE --tagname=GCC"
        ],
        "success_status":[
          0
        ],
        "ignore_success_status":false,
        "show_output":"on_failure",
        "working_dir_variables":true,
        "working_dir":"%rootcallerfolder%/$EDK2_DIR$"
      }
    }
  ]
}
